%global testspec_version 3.3.3

Name:           sassc
Version:        3.3.6
Release:        1%{?dist}
Summary:        Wrapper around libsass to compile CSS stylesheet

License:        MIT
URL:            http://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/%{version}.tar.gz
# Test suite
Source1:        https://github.com/sass/sass-spec/archive/%{testspec_version}.tar.gz

# libsass is built as a shared library.
Patch0:         %{name}-3.3.6-build.patch
# Fix a regexp in the testsuite and a known failing test.
Patch1:         %{name}-3.3.6-testsuite.patch

BuildRequires:  libsass-devel
# For the test suite
BuildRequires:  ruby
%if 0%{?epel} && 0%{?epel} <= 7
BuildRequires:  rubygem-minitest5
%else
BuildRequires:  rubygem-minitest
%endif

%description
SassC is a wrapper around libsass used to generate a useful command-line
application that can be installed and packaged for several operating systems.


%prep
%setup -q -a 1
mv sass-spec-%{testspec_version} sass-spec
%patch0 -p0 -b .build
%patch1 -p0 -b .testsuite


%build
%make_build build-shared \
    LDFLAGS="$RPM_OPT_FLAGS" \
    CFLAGS="$RPM_OPT_FLAGS" \
    CXXFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
install -p -m755 -D bin/sassc $RPM_BUILD_ROOT%{_bindir}/%{name}


%check
ruby sass-spec/sass-spec.rb -c bin/%{name} --ignore-todo sass-spec/spec


%files
%license LICENSE
%doc Readme.md TODO
%{_bindir}/%{name}


%changelog
* Tue Aug 23 2016 Aurelien Bompard <abompard@fedoraproject.org> - 3.3.6-1
- initial package
